#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  string Interface::testbench_test_name (Vhdl * & vhdl)
  {
    log_printf(FUNC,Behavioural,"testbench_test_name","Begin");

    string name;

    name = "interface_";
    if (_name != "")
      name += _name + "_";
    name += "test";

    vhdl->set_signal(name,1);
    
    log_printf(FUNC,Behavioural,"testbench_test_name","End");

    return name;
  };

  string Interface::testbench_test_ok_name (Vhdl * & vhdl)
  {
    log_printf(FUNC,Behavioural,"testbench_test_ok_name","Begin");

    string name;

    name = "interface_";
    if (_name != "")
      name += _name + "_";
    name += "test_ok";

    vhdl->set_signal(name,1);
    
    log_printf(FUNC,Behavioural,"testbench_test_ok_name","End");

    return name;
  };

  string Interface::testbench_test_transaction_name (Vhdl * & vhdl)
  {
    log_printf(FUNC,Behavioural,"testbench_test_transaction_name","Begin");

    string name;

    name = "interface_";
    if (_name != "")
      name += _name + "_";
    name += "test_transaction";

    vhdl->set_signal(name,1);
    
    log_printf(FUNC,Behavioural,"testbench_test_transaction_name","End");

    return name;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
